Bug 106901 - ds/query-plan/ is broken
ds/query-plan/ is broken
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
Blocks: 108447
  Show dependency treegraph
Reported: 2003-10-13 04:42 EDT by Carsten Clasohm
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 05:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2003-10-13 04:42:28 EDT
Description of problem:
When trying to view the Query Execution Plan in Developer Support, you get a
server error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enable Web Developer Support
2. Go to /ccm/ds/ and click on a request with at least one query 
3. Click on the ID of one of the database queries
4. Click on "Query Execution Plan"
Actual results:
server error

Expected results:
page displaying the execution plan

Additional info:
This is because of two bugs, or incompatibilities between QueryPlan and the 6.0
persistence code.

1. ConnectionManager.getCurrentThreadConnection() returns null in

2. The "queryPlan" query uses "level" as a column name. Persistence transforms
this query into a subquery, generating something like "st_.level as c_7". With
Oracle 9.2, this results in an "ORA-01747: invalid user.table.column,
table.column, or column specification" error, because "level" is a reserved keyword.

The fix can be found in changelist 36898.
Comment 1 Carsten Clasohm 2006-07-12 05:02:24 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.